# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


deep-remove-regex:
- "/java-bigquerydatatransfer/grpc-google-.*/src"
- "/java-bigquerydatatransfer/proto-google-.*/src"
- "/java-bigquerydatatransfer/google-.*/src"
- "/java-bigquerydatatransfer/samples/snippets/generated"

deep-preserve-regex:
- "/java-bigquerydatatransfer/google-.*/src/test/java/com/google/cloud/.*/v.*/it/IT.*Test.java"
- "/java-bigquerydatatransfer/google-cloud-bigquerydatatransfer/src/main/java/com/google/cloud/bigquery/datatransfer/v1/SampleApp.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/proto/google/cloud/bigquery/datatransfer/v1/resourcestate.proto"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/proto/google/cloud/bigquery/datatransfer/v1/datasource.proto"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UntypedDataSourceName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UntypedRunName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UntypedTransferConfigName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UpdateDataSourceDefinitionRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UpdateDataSourceDefinitionRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UpdateTransferRunRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/UpdateTransferRunRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/WriteDisposition.java"
- "/java-bigquerydatatransfer/grpc-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceServiceGrpc.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/CreateDataSourceDefinitionRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/CreateDataSourceDefinitionRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceDefinition.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceDefinitionOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceNames.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceProto.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DeleteDataSourceDefinitionRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DeleteDataSourceDefinitionRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/FinishRunRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/FinishRunRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/GetDataSourceDefinitionRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/GetDataSourceDefinitionRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ImportedDataInfo.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ImportedDataInfoOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ListDataSourceDefinitionsRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ListDataSourceDefinitionsRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ListDataSourceDefinitionsResponse.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ListDataSourceDefinitionsResponseOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/LocationDataSourceName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/LocationRunName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/LocationTransferConfigName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/LogTransferRunMessagesRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/LogTransferRunMessagesRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ProjectDataSourceName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ProjectRunName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/ProjectTransferConfigName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/RunNames.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/StartBigQueryJobsRequest.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/StartBigQueryJobsRequestOrBuilder.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/TransferConfigNames.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/DataSourceName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/TransferConfigName.java"
- "/java-bigquerydatatransfer/proto-google-cloud-bigquerydatatransfer-v1/src/main/java/com/google/cloud/bigquery/datatransfer/v1/RunName.java"

deep-copy-regex:
- source: "/google/cloud/bigquery/datatransfer/(v.*)/.*-java/proto-google-.*/src"
  dest: "/owl-bot-staging/java-bigquerydatatransfer/$1/proto-google-cloud-bigquerydatatransfer-$1/src"
- source: "/google/cloud/bigquery/datatransfer/(v.*)/.*-java/grpc-google-.*/src"
  dest: "/owl-bot-staging/java-bigquerydatatransfer/$1/grpc-google-cloud-bigquerydatatransfer-$1/src"
- source: "/google/cloud/bigquery/datatransfer/(v.*)/.*-java/gapic-google-.*/src"
  dest: "/owl-bot-staging/java-bigquerydatatransfer/$1/google-cloud-bigquerydatatransfer/src"
- source: "/google/cloud/bigquery/datatransfer/(v.*)/.*-java/samples/snippets/generated"
  dest: "/owl-bot-staging/java-bigquerydatatransfer/$1/samples/snippets/generated"

api-name: bigquerydatatransfer
